Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040578
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-04-10 12:322019-05-21 15:16
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision10b0c4967951
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040578: Utility.getListValueName is not using bind-parameters

DescriptionThis code is not using bind-params:

    String hql = " select rlt.name as name " + " from ADReference r, " + " ADList rl,"
        + " ADListTrl rlt" + " where rl.reference = r" + " and rlt.listReference = rl"
        + " and rlt.language.language = '" + lang + "'" + " and r.name = '" + ListName + "'"
        + " and rl.searchKey = '" + value + "'";
    Query<String> q = OBDal.getInstance().getSession().createQuery(hql, String.class);


same method later:

    hql = " select rl.name " + " from ADReference r, " + " ADList rl"
        + " where rl.reference = r" + " and r.name = '" + ListName + "'"
        + " and rl.searchKey = '" + value + "'";
    q = OBDal.getInstance().getSession().createQuery(hql, String.class);
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0111071)
hgbot (developer)
2019-04-11 08:44

Repository: erp/devel/pi
Changeset: 10b0c49679510a91e6285eee78ca696db762c596
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Apr 11 08:17:54 2019 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/10b0c49679510a91e6285eee78ca696db762c596 [^]

fixed bug 40578: Utility.getListValueName is not using bind-parameters

---
M src/org/openbravo/erpCommon/utility/Utility.java
---
(0111097)
caristu (developer)
2019-04-12 08:36

Reviewed
(0111965)
hudsonbot (developer)
2019-05-21 15:16

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9b8f37d9d85e [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-04-10 12:32 shuehner New Issue
2019-04-10 12:32 shuehner Assigned To => platform
2019-04-10 12:32 shuehner Modules => Core
2019-04-10 12:32 shuehner Triggers an Emergency Pack => No
2019-04-10 12:32 shuehner Relationship added blocks 0038136
2019-04-10 12:33 shuehner Description Updated View Revisions
2019-04-11 08:41 alostale Assigned To platform => alostale
2019-04-11 08:42 alostale Review Assigned To => caristu
2019-04-11 08:44 hgbot Checkin
2019-04-11 08:44 hgbot Note Added: 0111071
2019-04-11 08:44 hgbot Status new => resolved
2019-04-11 08:44 hgbot Resolution open => fixed
2019-04-11 08:44 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/10b0c49679510a91e6285eee78ca696db762c596 [^]
2019-04-12 08:36 caristu Note Added: 0111097
2019-04-12 08:36 caristu Status resolved => closed
2019-04-12 08:36 caristu Fixed in Version => 3.0PR19Q3
2019-05-21 15:16 hudsonbot Checkin
2019-05-21 15:16 hudsonbot Note Added: 0111965


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker